[pygtk] Windows 7 issue

Rafael Villar Burke (Pachi) pachi at rvburke.com
Sat Apr 10 19:55:19 WST 2010



On 01/01/2001 1:33, John Stowers wrote:
> On Tue, 2010-04-06 at 21:54 +1200, Mark Schafer wrote:
>    
>> Thanks for the advice Rafael,
>> Alas it has not worked.
>> I uninstalled python 2.6.5 and installed 2.6.4
>> Then the same packages as before:
>>    - pycairo-1.8.6.win32-py2.6.exe
>>    - pygobject-2.20.0.win32-py2.6.exe
>>    - pygtk-2.16.0+glade.win32-py2.6.exe
>>
>> But getting exact same error :-(
>>
>> I have installed the VC2008 redistributable  (vcredist_x86.exe) and no
>> change
>>      
> AIUI it also depends on the version of python used to *generate* the
> installer. Is this correct?
>    
Yes. AFAICT, 2.6.x versions up to 2.6.5 didn't have the patch to avoid 
including a manifest that makes related libraries to include it. Now 
that 2.6.5 doesn't have it, previous version generated libraries that 
included the manifest break if they don't find a python dll with the 
manifest.

Stephen George also pointed that the SP1 version of the VC2008 
redistributable may be needed in some cases (perhaps when the extensions 
were made in a system with them or the python executable included it).

I still have to confirm that the SP1 version fixes the problem for one 
user, as the initial VC2008 version didn't do it. Also, in the www some 
people say that the installation method is also important, as the dlls 
and manifests are installed in different places depending on whether the 
installation is for all users (admin rights) or just for the current user.

(It looks like VS 2010 will finally eliminate the manifest and will rely 
on version numbers in the dll name to avoid dll version clashes, 
finishing this new dll hell.)

Regards,

Rafael Villar Burke


More information about the pygtk mailing list